# Split Reels

This script generates 3D-printable, threaded split reels for 16mm and 8mm film. 
This is a parametric model, so download the source code and generate split reels of any capacity for either 16mm or 8mm gauge film.

The design is roughly-compatible with the aluminum reels, but threading plastic onto metal or *vice versa* may break the printed parts.
These spools **all** have the square

The downloadable models are 120m/400ft reels for 16mm and 8mm film and are designed to hold standard film cores.

To use this script download the source files and create a new file in the directory in OpenSCAD.

```scad
use <scad/split_reel.scad>;

split_reel("8mm", 240, "A");
```

This will generate the threaded side of a split reel for 8mm gauge film for 240m or 800ft of film.

## 16mm Split Reel 120m/400ft - Side A (Threaded)

### [Download STL](./stl/split_reel_16mm_120m_A.stl)

![16mm Split Reel 120m/400ft - Side A](./stl/split_reel_16mm_120m_A.jpg)

## 16mm Split Reel 120m/400ft - Side B 

### [Download STL](./stl/split_reel_16mm_120m_B.stl)

![16mm Split Reel 120m/400ft - Side B](./img/split_reel_16mm_120m_B.jpg)

## 8mm Split Reel 120m/400ft - Side A (Threaded)

### [Download STL](./stl/split_reel_super8_120m_A.stl)

![8mm Split Reel 120m/400ft - Side A](./stl/split_reel_super8_120m_A.jpg)

## 8mm Split Reel 120m/400ft - Side B 

### [Download STL](./stl/split_reel_super8_120m_B.stl)

![8mm Split Reel 120m/400ft - Side B](./img/split_reel_super8_120m_B.jpg)

## Other STLs

* [16mm Split Reel 60m/200ft - Side A (Threaded)](./stl/split_reel_16mm_60m_A.stl)
* [16mm Split Reel 60m/200ft - Side B](./stl/split_reel_16mm_60m_B.stl)
* [16mm Split Reel 30m/100ft - Side A (Threaded)](./stl/split_reel_16mm_30m_A.stl)
* [16mm Split Reel 30m/200ft - Side B](./stl/split_reel_16mm_30m_B.stl)
* [8mm Split Reel 60m/200ft - Side A (Threaded)](./stl/split_reel_8mm_60m_A.stl)
* [8mm Split Reel 60m/200ft - Side B](./stl/split_reel_8mm_60m_A.stl)
* [8mm Split Reel 30m/100ft - Side A (Threaded)](./stl/split_reel_8mm_30m_A.stl)
* [8mm Split Reel 30m/100ft - Side B](./stl/split_reel_8mm_30m_B.stl)
